* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Arial', 'Roboto', sans-serif;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
    color: #000;
    font-family: 'Arial';
}

.index__logo-img {
    width: 250px;
    height: 250px;
}

.header {
    max-width: 98%;
    display: flex;
    flex-direction: row;
    gap: 540px;
    height: 50px;
    align-items: center; /* vertical alignment*/
    justify-content: center;
    margin: 2px auto;
    border: 0px solid;
    border-radius: 4px;
    background-color: #0b6b7c; 
    margin: 10px auto;   
}

.header__menu {
    display: flex;
    flex-direction: row;
    column-gap: 30px;
    justify-content: space-between;
}

.header__menu-item {
    min-width: 180px;
    height: 100%;
    border-radius: 4px;
    padding: 10px;
    justify-content: center;
    text-align: center;
}

.header__menu-item:hover {
    min-height: 40px;
    background-color: blue;
    padding: 10px;
    align-items: center;
    color: #fff;
}

.header__menu-link {
    font-size: 18px;
}

.header__menu-link:hover {
    color: #fff;
    cursor: pointer;
}

.index-container {
    display: flex;
    flex-direction: row;
    /* height: 100%; */
    max-width: 99%;
    margin: 2px auto;
    margin-top: 4px;
}

.left-container {
    display: flex;
    flex-direction: column;
    height: auto;
    padding-bottom: 2px;
    min-width: 15%;
    background-color: #0b6b7c;
    align-items: center;
    border-radius: 4px;
}

.left-container__items {
    min-width: 100%;
    margin-top: 10px;
    padding-left: 10px;
}

.left-container__items a {
    color: #fff;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;
}

.left-container__items a:hover {
    color: #660404;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
}

.right-container {
    display: flex;
    flex-direction: column;
    height: 100%;
    min-width: 85%;
}

.right-container h3 {
    font-style: italic;
}

.right-container .options-select {
    display:flex; 
    flex-direction:row; 
    height: 50px; 
    width:98%; 
    margin-left:5px; 
    justify-content: space-between; 
    align-items: center;
}

.right-container .options-select label {    
    padding-left: 2px;
}

.right-container .options-select label:hover {
    cursor: pointer;
}

.right-container .options-select input {    
    height:15px; 
    width: 15px;
}

.right-container .options-select input:hover {
    cursor: pointer;
}

.right-container .control-panel {
    display:flex; 
    flex-direction:row; 
    column-gap:20px; 
    justify-content: center; 
    margin-top:30px;
    padding-bottom: 30px;
}

.right-container .control-panel a {
    border: 1px solid #000;
    border-radius: 4px;
    height: 30px;
    padding: 5px 10px;
    background-color: #d67171;
}

.right-container .control-panel a:hover {
    background-color: #a1d37f;
}

h3 {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 10px;
}

table {
    border: 1px solid;
    width: 98%;
    margin-left: 5px;
}

tr {
    border: 1px solid;
    font-size: 16px;
}

td {
    border: 1px solid;
    font-size: 14px;
}

.td_link {
    color:#000;
    text-decoration:none;
}

.td_link:hover {
    color: rgb(6, 33, 185);
    text-decoration: underline;
}

.order__form {
    display: flex;
    flex-direction: column;
    align-self: center;
    margin-bottom: 20px;
    font-size: 12px;
}

.alarm-order__form {
    display: flex;
    flex-direction: column;
    align-self: center;
}

.alarm-order__form h3 {
    margin-top: 20px;
    text-align: center;
}

.order__id {
    padding: 0px;
}

.order__parameters {
    border-radius: 4px;
    box-shadow: 2px 2px 4px 4px #454645;
    margin: auto;
    min-width: 100%;
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    row-gap: 5px;
    justify-content: space-between;
    vertical-align: middle;
}

.order__parameters-item {
    max-width: 98%;
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    column-gap: 20px;
    justify-content: space-between;
}

.order__parameters-item input {
    height: 28px;
    padding-left: 5px;
}

.order__parameters-item select {
    height: 28px;
    padding-left: 5px;
}

.order__parameters-item textarea {
    width: 80%;
    height: 250px;
    resize: none;
    padding-left: 2px;
}

.order__parameters-item label {
    margin-left: 10px;
    margin-top: 5px;
}

.order__parameters .buttons__field {
    display: flex;
    flex-direction: row;
    column-gap: 40px;
    justify-content: center;
    height: 35px;
    margin-top: 20px;
    margin-bottom: 15px;
    padding-bottom: 15px;
}

.order__parameters .buttons__field .submitButton {
    text-transform: uppercase;    
    width: 200px;
    height: 35px;
}

.order__parameters .buttons__field .submitButton:hover {
    cursor: pointer;
    background-color: #d67171;
    border-radius: 4px;
}

.order__customer-id {
    height: 30px;
    width: 350px;
    border-radius: 4px;
    justify-content: center;
}

.day-order__form {
    display: flex;
    flex-direction: column;
    align-self: center;
    width: 40%;
    margin: 0 auto;
}

.day-order__form label {
    font-size: 12px;
}

.day-order__form select {
    width: 300px;
}

.day-order__form textarea {
    width: 500px;
    height: 200px;
}

.day-order__form h3 {
    margin-top: 20px;
    text-align: center;
}

.video__form {
    width: 95%;
    margin: 0 auto;
}

.login__page {
    display: flex;
    flex-direction: column;
    height: 100lvh;
    background-color: #d1d1d1;
    align-items: center;
}

.login__page-control {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    margin-top: 25px;
    margin-bottom: 20px;
}

.login__page-registr {
    margin-top: 30px;
    display: flex;
    flex-direction: row;
    row-gap: 50px;
    justify-content: space-around;
}

.login__page-registr a {
    padding-top: 7px;
    font-size: 14px;
    font-weight: 600;
}

.login__page-registr a {
    color: rgb(5, 5, 99);
}

.login__form {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    min-width: 500px;    
    height: 300px;
    margin: 0px auto;
    box-shadow: 2px 2px 4px 4px #4d4545;
    border-radius: 4px;
}

.login__form label {
    font-size: 14px;
    margin-top: 20px;
    margin-left: 25px;
    font-weight: 600;
    font-style: italic;
}

.login__form input {
    margin-top: 5px;
    width: 90%;
    height: 34px;
    border-radius: 4px;
    padding-left: 5px;
    margin-left:20px;
    margin-right: 20px;
    font-size: 14px;
    letter-spacing: 3px;
}

.login__form select {
    margin-top: 5px;
    width: 90%;
    height: 34px;
    border-radius: 4px;
    padding-left: 5px;
    margin-left:20px;
    margin-right: 20px;
    font-size: 14px;
    letter-spacing: 3px;
}

.login__form .submitButton {
    margin-top: 5px;
    height: 35px;
    width: 150px;
    border-radius: 4px;
    margin-bottom: 15px;
}

.login__form .submitButton:hover {
    cursor: pointer;
    box-shadow: -2px -2px #757575 -2px -2px #757575 -2px -2px #757575 -2px -2px #757575;
    background-color: coral;
}

button:hover {
    cursor: pointer;
    box-shadow: -2px -2px #757575 -2px -2px #757575 -2px -2px #757575 -2px -2px #757575;
    background-color: coral;
}

.error__page {
    display: flex;
    flex-direction: column;
    height: 100lvh;
    background-color: #d1d1d1;
    align-items: center;    
}

.error__page-title {
    width: 700px;
    height: 50px;
    background-color: red;
    margin-top: 200px;
    padding-top: 10px;
    padding-left: 10px;
    font-size: 24px;
    letter-spacing: 5px;
    border-radius: 4px 4px 0 0;
}

.error__page-body {
    width: 700px;
    height: 100px;
    background-color: #454645;
    color: #d1d1d1;
    padding-left: 10px;
    font-size: 30px;
    align-content: center;
    align-items: center;
}

.error__page-confirm {
    width: 700px;
    height: 70px;
    background-color: #454645;
    color: #d1d1d1;    
    padding-left: 10px;
    font-size: 30px;
    border-radius: 0 0 4px 4px;
    display: flex;    
    flex-direction: column;
}

.error__page-button {
    width: 150px;
    height: 40px;
    border-radius: 4px;
    background-color: #d1d1d1;
    margin: auto;
    align-content: center;
    text-align: center;
}

.error__page-button a {
    margin: 5px auto;
}

.error__page-button:hover {
    box-shadow: 5px 5px 5px #d67171;
}

.reg__form {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    min-width: 500px;    
    height: 580px;
    margin: 0px auto;
    box-shadow: 2px 2px 4px 4px #4d4545;
    border-radius: 4px;
    padding-top: 10px;
}

.reg__form label {
    margin-left: 25px;
    font-size: 14px;
    font-style: italic;
    font-weight: 600;
    min-width: 130px;
}

.reg__form input {
    width: 90%;
    height: 28px;
    border-radius: 4px;
    padding-left: 5px;
    margin-left:25px;
    margin-bottom: 3px;
    font-size: 14px;
    letter-spacing: 3px;
}

.reg__form select {
    margin-top: 0px;
    width: 90%;
    height: 28px;
    border-radius: 4px;
    padding-left: 5px;
    margin-left:25px;
    font-size: 14px;
    letter-spacing: 3px;
}

.reg__form-data {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.reg__form .submitButton {
    margin-top: 5px;
    height: 35px;
    width: 250px;
    border-radius: 4px;
}

.reg__form .submitButton:hover {
    cursor: pointer;
    background-color: coral;
}

@media (max-width:1830px) {
    .header {
        gap: 490px;
    }
}

@media (max-width:1730px) {
    .header {
        gap: 430px;
    }
}

@media (max-width:1640px) {
    .header {
        gap: 390px;
    }
}

@media (max-width:1500px) {
    .header {
        gap: 320px;
    }
}

@media (max-width:1360px) {
    .header {
        gap: 260px;
    }
}

@media (max-width:1230px) {
    .header {
        gap: 190px;
    }
}

@media (max-width:1100px) {
    .header {
        gap: 120px;
    }
}

@media (max-width:960px) {
    .header {
        gap: 60px;
    }
    .header__menu-item {
        min-width: 170px;
    }
    .index__logo-img {
        width: 90px;
        height: 90px;
    }
    .login__form {
        min-width: 360px;
    }    
}

@media (max-width:830px) {
    .header {
        gap: 5px;
    }
    .header__menu-item {
        min-width: 160px;
    }
    .index__logo-img {
        width: 80px;
        height: 80px;
    }
    .login__form {
        min-width: 330px;
    }
}

@media (max-width:640px) {
    .header {
        gap: 5px;
        justify-content: right;
    }
    .header__menu-item {
        display: none;
    }
    .header__logo {
        display: none;
    }
    .index__logo-img {
        margin-top: 20px;
        width: 70px;
        height: 70px;
    }
    .login__form {
        margin-top: 20px;
        min-width: 300px; 
        row-gap: 3px;
        height: 320px;       
    }
    .login__form label {
        font-size: 14px;
        margin-top: 20px;
    }
    .login__form input {
        font-size: 10px;
        height: 34px;
        margin-top: 3px;
    }
    .login__form select {
        font-size: 10px;
        height: 34px;
        margin-top: 3px;
    }
    .login__page-registr {
        margin-top: 16px;
    }
    .login__page-control {
        margin-top: 10px;
    }
    .login__form .submit {
        margin-bottom: 3px;
    }
}